std::vector::size(3)

NAME
std::vector::size - std::vector::size

Synopsis
   size_type size() const; (until C++11)
   size_type size() const noexcept; (since C++11)
                        (until C++20)
   constexpr size_type size() const noexcept; (since C++20)
   Returns the number of elements in the container, i.e. std::distance(begin(), end()).

Parameters
   (none)

Return value
   The number of elements in the container.

Complexity
   Constant.

Example
   The following code uses size to display the number of elements in a
   std::vector<int>: // Run this code
 #include <vector>
 #include <iostream>
 int main()
 {
     std::vector<int> nums {1, 3, 5, 7};
     std::cout << "nums contains " << nums.size() << " elements.\n";
 }

Output:
 nums contains 4 elements.

See also
            returns the number of elements that can be held in currently allocated
   capacity storage
            (public member function)
   empty checks whether the container is empty
            (public member function)
   max_size returns the maximum possible number of elements
            (public member function)
   resize changes the number of elements stored
            (public member function)
   size
   ssize returns the size of a container or array
   (C++17) (function template)
   (C++20)